# Element Summary

Element | Description | Class
--- | --- | ---
component | File Component | org.apache.servicemix.truezip.TrueZipComponent
poller | A polling endpoint which looks for a file or files in a directory and sends the files into the JBI bus as messages, deleting the files by default when they are processed. | org.apache.servicemix.truezip.TrueZipPollerEndpoint
sender | An endpoint which receives a message and writes the content to a file. | org.apache.servicemix.truezip.TrueZipSenderEndpoint

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (poller | sender)* |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: poller

Attribute | Type | Description
--- | --- | ---
autoCreateDirectory | xs:boolean |
concurrentPolling | xs:boolean | Sets whether more than one poll can be active at a time (true means yes). Default value is `false`.
delay | xs:long | Sets the amount of time in milliseconds that the endpoint should wait before making the first poll.
deleteFile | xs:boolean | Returns whether or not we should delete the file when its processed
endpoint | xs:string | Get the endpoint implementation.
file | xs:string | Sets the file to poll, which can be a directory or a file.
firstTime | xs:date | Sets the date on which the first poll will be executed. If a delay is also set using `setDelay`, the delay interval will be added after the date specified.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
period | xs:long | Sets the number of milliseconds between polling attempts.
recursive | xs:boolean |
service | xs:QName | Get the service qualified name of the endpoint.
targetEndpoint | xs:string | the name of the endpoint to which requests are sent
targetInterface | xs:QName | the QName of the interface to which requests are sent
targetOperation | xs:QName | the QName of the operation to which requests are sent
targetService | xs:QName | the QName of the service to which requests are sent
targetUri | xs:string | Gets the target URI of the consumer endpoint.

Element | Type | Description
--- | --- | ---
component | component |
filter | <spring:bean/> | Sets the optional filter to choose which files to process
lockManager | <spring:bean/> |
marshaler | <spring:bean/> |
scheduler | <spring:bean/> | Sets a custom scheduler implementation if you need more fine-grained control over the polling schedule.
serviceUnit | <spring:bean/> |

## Element: sender

Attribute | Type | Description
--- | --- | ---
autoCreateDirectory | xs:boolean |
directory | xs:string |
endpoint | xs:string | Get the endpoint implementation.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
service | xs:QName | Get the service qualified name of the endpoint.
tempFilePrefix | xs:string |
tempFileSuffix | xs:string |

Element | Type | Description
--- | --- | ---
component | component |
marshaler | <spring:bean/> |